# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8
USE_RUBY="ruby31 ruby32 ruby33"

RUBY_FAKEGEM_RECIPE_TEST="none"
RUBY_FAKEGEM_EXTRADOC="README.md"

inherit ruby-fakegem

DESCRIPTION="Collection of common Sinatra extensions, semi-officially supported."
HOMEPAGE="https://sinatrarb.com/contrib/"

LICENSE="MIT"
SLOT="$(ver_cut 1)"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"

ruby_add_rdepend "
	~dev-ruby/sinatra-${PV}
	~dev-ruby/rack-protection-${PV}
	>=dev-ruby/multi_json-0.0.2
	>=dev-ruby/mustermann-3.0
	>=dev-ruby/tilt-2.0
"
